Name:           perl-CGI-Application-Plugin-LinkIntegrity
Version:        0.06
Release:        3%{?dist}
Summary:        Make tamper-resistant links in CGI::Application
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/CGI-Application-Plugin-LinkIntegrity/
Source0:        http://www.cpan.org/authors/id/M/MG/MGRAHAM/CGI-Application-Plugin-LinkIntegrity-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(CGI)
BuildRequires:  perl(CGI::Application)
BuildRequires:  perl(Digest::HMAC)
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage) >= 1.04
BuildRequires:  perl(URI)
BuildRequires:  perl(URI::Escape)
BuildRequires:  perl(URI::QueryParam)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
CGI::Application::Plugin::LinkIntegrity lets you create tamper-resistant
links within your CGI::Application project. When you create an URL with
link, a check-sum is added to the URL. The check-sum is a (cryptographic) hash
of the URL, plus a secret string known only to the server.

%prep
%setup -q -n CGI-Application-Plugin-LinkIntegrity-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.06-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 08 2010 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> - 0.06-2
- Fix spec file per review

* Sun Oct 31 2010 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> 0.06-1
- Specfile autogenerated by cpanspec 1.78.
